
QGIS Application - Bug report #3202

Interchanges of colors in Random ramp

2010-11-12 11:05 AM - dr -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13262

Description

1. Settings - Style manager - Color ramp;

2. Add couple of new Random ramps;

3. Set one of the ramp which was created on previous step and press minus button (delete);

4. Without selecting another ramps try press minus button again - colors in the second random ramps interchanges.

History

#1 - 2010-11-13 07:30 AM - Martin Dobias

Well, the random color ramp is indeed random - it doesn't store the generated values, so every time it is created it is filled with new random values from the

specified range. That's why it may seem that the colors are interchanged.

#2 - 2010-11-13 07:47 AM - dr -

Ok, but why this happens with press Remove item button? I guess that this button need be blocked if no one ramps selected.

#3 - 2010-11-13 08:41 AM - Martin Dobias

Because the list is loaded again when you add/edit/remove anything. I agree that it should reload only when the style gets modified - done in .

#4 - 2011-04-16 12:22 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed
